org.apache.xmlbeans.impl.common

## Class XmlStreamUtils

- java.lang.Object
- - org.apache.xmlbeans.impl.common.XmlStreamUtils

    public final class XmlStreamUtils
    extends Object

debugging utilities for XmlStreamReader

### Constructor Summary

Constructors
Constructor and Description
`XmlStreamUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getName(int eventType)`
`static int` `getType(String val)`
`static String` `printEvent(XMLStreamReader xmlr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlStreamUtils

    public XmlStreamUtils()

### Method Detail

#### printEvent

    public static String printEvent(XMLStreamReader xmlr)

#### getName

    public static String getName(int eventType)

#### getType

    public static int getType(String val)